aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/travis_tests.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/travis_tests.sh b/scripts/travis_tests.sh
new file mode 100755
index 0000000..5c51823
--- /dev/null
+++ b/scripts/travis_tests.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# wait mongodb server
+sleep 10
+
+# run tests
+go test -v -race -coverprofile=coverage.txt -covermode=atomic
+
+RET_CODE=$?
+
+#
+if [ $RET_CODE -eq 0 ]; then
+ echo "travis_tests_success"
+else
+ echo "travis_tests_fails"
+fi
+
+exit $RET_CODE